Автор Тема: Arduino и все с ним связанное.  (Прочитано 89369 раз)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 796
Re: Arduino и все с ним связанное.
« Ответ #135 : 14.05.2018 18:08:36 »
С одной стороны, добавить в спек пакета arduino такой Requires: и все дела. С другой, самому пакету arduino эта зависимость для работы не нужна. Вот и думай как правильно.
а нафиг он без этой зависимости? как текстовый редактор использовать?

Оффлайн kostyalamer

  • Мастер
  • ***
  • Сообщений: 431
    • Сайт клуба активных пользователей ALT Linux
Re: Arduino и все с ним связанное.
« Ответ #136 : 14.05.2018 18:27:31 »
Мужики, все уже исправлено, теперь в 8-мой 64-битной репе тоже лежит свежайшая бета 1.9.0 - проверена работает:
http://altlinuxclub.ru/repo/Repo_P8/x86_64/RPMS.hasher/arduino64bit-1.9.0.beta-alt0.1.x86_64.rpm
Пользуйтесь,  с альтовскими пакетами она не конфликтует так как лежит в /opt/arduino .
Можно пользоваться старой версией из офф реп и новой из клубных одновременно.
Спасибо IVK за оперативность.
PS мужики я принципиально пользуюсь только 32-битными сборками, по-этому p8 64-бита немного заброшена, но если кому-нибудь из вас понадобятся свежий flprog или fritzing - постараемся помочь с этим вопросом.
Archlinux  / Altlinux Free Mate p8

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 796
Re: Arduino и все с ним связанное.
« Ответ #137 : 15.05.2018 12:27:32 »
fatal error: stdlib.h: No such file or directory                                                                     
 #include <stdlib.h>                                                                                                                                                                         
                     ^
compilation terminated.
Ошибка компиляции.
Мне такое уже встречалось. Помогло
apt-get install avr-libcС одной стороны, добавить в спек пакета arduino такой Requires: и все дела. С другой, самому пакету arduino эта зависимость для работы не нужна. Вот и думай как правильно.
Действительно, в spec ошибка - вместо avr-gcc надо avr-libc (gcc у него в зависимостях).

Оффлайн kostyalamer

  • Мастер
  • ***
  • Сообщений: 431
    • Сайт клуба активных пользователей ALT Linux
Re: Arduino и все с ним связанное.
« Ответ #138 : 15.05.2018 16:35:49 »
Мужики, вы тут немножко запутались , поясняю - к альтовским пакетам arduino из офф реп, я не имею никакого отношения. Я собираю в клубные  p8 arduino32bit и arduino64bit
текущая версия 1.9.0 beta в ней есть зависимость на avr-libc.


Archlinux  / Altlinux Free Mate p8

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 796
Re: Arduino и все с ним связанное.
« Ответ #139 : 19.05.2018 16:49:18 »
Продолжаем смотреть что за хлам находится в p8

Sketch uses 450 bytes (1%) of program storage space. Maximum is 32 256 bytes.
Global variables use 9 bytes (0%) of dynamic memory, leaving 2 039 bytes for local variables. Maximum is 2 048 bytes.
avrdude: can't open config file "/etc/avrdude/avrdude.conf": No such file or directory
avrdude: error reading system wide configuration file "/etc/avrdude/avrdude.conf"

Т.е. ещё и avrdude неправильно упакован.

Онлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 4 057
  • antohami@
Re: Arduino и все с ним связанное.
« Ответ #140 : 20.05.2018 11:24:05 »
Вешайте баги, пожалуйста.

Оффлайн kostyalamer

  • Мастер
  • ***
  • Сообщений: 431
    • Сайт клуба активных пользователей ALT Linux
Re: Arduino и все с ним связанное.
« Ответ #141 : 20.05.2018 18:19:11 »
Т.е. ещё и avrdude неправильно упакован.
Да, безобразие то еще, можно подпереть костыликом:
# mkdir  /etc/avrdude
# ln -s /etc/avrdude.conf /etc/avrdude/avrdude.conf
Archlinux  / Altlinux Free Mate p8

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 796
Re: Arduino и все с ним связанное.
« Ответ #142 : 20.05.2018 21:03:32 »
Да, безобразие то еще, можно подпереть костыликом:
Конечно сделал так, но как-то в репе лежит пакет у которого в зависимостях косяк за косяком...
Что там ещё может вылезти никто не знает?

Оффлайн kostyalamer

  • Мастер
  • ***
  • Сообщений: 431
    • Сайт клуба активных пользователей ALT Linux
Re: Arduino и все с ним связанное.
« Ответ #143 : 20.05.2018 21:36:50 »
Конечно сделал так, но как-то в репе лежит пакет у которого в зависимостях косяк за косяком...
Что там ещё может вылезти никто не знает?
Это все роботизация :
arduino из офф реп:
Цитировать
Текущий майнтейнер: Igor Vlasenko

Список всех майнтейнеров, принимавших участие
в данной и/или предыдущих сборках пакета:
Igor Vlasenko
Repocop Q. A. Robot

avrdude :
Цитировать
Текущий майнтейнер: Igor Vlasenko

Список всех майнтейнеров, принимавших участие
в данной и/или предыдущих сборках пакета:
Igor Vlasenko
Evgeny Sinelnikov
Grigory Milev
ALT QA Team Robot
Archlinux  / Altlinux Free Mate p8

Оффлайн denkarter

  • Давно тут
  • **
  • Сообщений: 27
    • Email
Re: Arduino и все с ним связанное.
« Ответ #144 : 30.05.2018 20:09:46 »
Мужики, все уже исправлено, теперь в 8-мой 64-битной репе тоже лежит свежайшая бета 1.9.0 - проверена работает:
http://altlinuxclub.ru/repo/Repo_P8/x86_64/RPMS.hasher/arduino64bit-1.9.0.beta-alt0.1.x86_64.rpm
Пользуйтесь,  с альтовскими пакетами она не конфликтует так как лежит в /opt/arduino .
Можно пользоваться старой версией из офф реп и новой из клубных одновременно.
Спасибо IVK за оперативность.
PS мужики я принципиально пользуюсь только 32-битными сборками, по-этому p8 64-бита немного заброшена, но если кому-нибудь из вас понадобятся свежий flprog или fritzing - постараемся помочь с этим вопросом.

я попробовал. Альт 8.2 64бит, не работает. Ошибка:
 
Arduino: 1.9.0-beta (Linux), Плата:"Arduino/Genuino Uno"

Скетч использует 1996 байт (6%) памяти устройства. Всего доступно 32256 байт.
Глобальные переменные используют 202 байт (9%) динамической памяти, оставляя 1846 байт для локальных переменных. Максимум: 2048 байт.
java.io.IOException: Cannot run program "{runtime.tools.avrdude.path}/bin/avrdude": error=2, Нет такого файла или каталога
at java.lang.ProcessBuilder.start(ProcessBuilder.java:1048)
at java.lang.Runtime.exec(Runtime.java:620)
at java.lang.Runtime.exec(Runtime.java:485)
at processing.app.helpers.ProcessUtils.exec(ProcessUtils.java:11)
at cc.arduino.packages.Uploader.executeUploadCommand(Uploader.java:129)
at cc.arduino.packages.uploaders.SerialUploader.uploadUsingPreferences(SerialUploader.java:207)
at cc.arduino.UploaderUtils.upload(UploaderUtils.java:78)
at processing.app.SketchController.upload(SketchController.java:804)
at processing.app.SketchController.exportApplet(SketchController.java:775)
at processing.app.Editor$DefaultExportHandler.run(Editor.java:2254)
at java.lang.Thread.run(Thread.java:748)
Caused by: java.io.IOException: error=2, Нет такого файла или каталога
at java.lang.UNIXProcess.forkAndExec(Native Method)
at java.lang.UNIXProcess.<init>(UNIXProcess.java:247)
at java.lang.ProcessImpl.start(ProcessImpl.java:134)
at java.lang.ProcessBuilder.start(ProcessBuilder.java:1029)
... 10 more
Произошла ошибка при загрузке скетча

В сети нашел проблему схожую, там просто сменили бету на стаб версию.

Оффлайн kostyalamer

  • Мастер
  • ***
  • Сообщений: 431
    • Сайт клуба активных пользователей ALT Linux
Re: Arduino и все с ним связанное.
« Ответ #145 : 30.05.2018 21:10:06 »
Странно, я эту версию проверял на 64-битном FreeMate p8 и Arduino UNO  - все работало.
Товарищи ардуинисты тут кто-нибудь еще пользуется 64-битной клубной версией ?
Archlinux  / Altlinux Free Mate p8

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 796
Re: Arduino и все с ним связанное.
« Ответ #146 : 30.05.2018 23:00:08 »
Странно, я эту версию проверял на 64-битном FreeMate p8 и Arduino UNO  - все работало.
Товарищи ардуинисты тут кто-нибудь еще пользуется 64-битной клубной версией ?
мне больше интересна свежая версия в бранче p8.

Оффлайн kostyalamer

  • Мастер
  • ***
  • Сообщений: 431
    • Сайт клуба активных пользователей ALT Linux
Re: Arduino и все с ним связанное.
« Ответ #147 : 15.06.2018 07:54:29 »
Чем дальше , тем интереснее - прикупил тут парочку китайских генно-модифицированных ардуин, они вешаются на /dev/ttyUSB0. Так вот последняя рабочая версия ардуины , которая может нормально работать с железками на этом порту 1.6.11,
все что выше работает только с железяками на /dev/ttyACM0. Проверялось на 2-х разных компах p8 32-бита пользователь состоит в группах uucp и dialout. В связи с чем испытываю большое желание заменить в клубной репе текущую ардуину на рабочую 1.6.11 , есть ли возражения ? 
Archlinux  / Altlinux Free Mate p8

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 796
Re: Arduino и все с ним связанное.
« Ответ #148 : 15.06.2018 13:08:38 »
надо не менять, а пропатчить чтобы и в другие места смотрело.

Я что-то такое в патчах для scratchduino видел.

Оффлайн kostyalamer

  • Мастер
  • ***
  • Сообщений: 431
    • Сайт клуба активных пользователей ALT Linux
Re: Arduino и все с ним связанное.
« Ответ #149 : 22.06.2018 07:39:07 »
В 8-ую 32-битную клубную репу уехала пропатченная окостыленная мною arduino
1.9.0 beta . Проблема была в бинарнике /lib/liblistSerialsj.so в версиях выше 1.6.11 он неработоспособен . Теперь при сборке клубного пакета старый  /lib/liblistSerialsj.so автоматически подсовывается вместо текущего. Пакет проверен на разных платах , чтением / записью в SerialPort и полностью работоспособен.
По поводу 64-битов , если кто-нибудь возьмется тестировать ( желательно на разных железяках ) , то такой костылятор, будет сделан ( у меня нет 64-битных систем , придется просить собирать lVK ). Если никому ничего как обычно нафиг не надо , в 64-битной репе будет оставлен пакет который работает только с портом /dev/ttyACM0 . Претензии не ко мне , а к рукожопым криворуким программистам и совершенно не активным пользователям этого форума.
Archlinux  / Altlinux Free Mate p8